function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function Door_GoGaudiMountain()
    PRI()MM0()SOU("CS_110")ANP("Door_GoGaudiMountain",0,1)FAO(2)TRA("CS_gaudi_mountain","E0090",5,12)
end

function MahinStillSleep()
    KEY()
    ANP("Mahin1","sleep",1)
    HMC()
    CMU("XXXX")
    FAI(2)
    WAI(32)
    KnockTheDoor()
    MS3("\nHey fatty! Our boss wants a word with you...")NOD()CLO()
    WAI(60)
    KnockTheDoor()
    WAI(60)
    MS3("\nHmm, still sleeping?")NOD()CLO()
    WAI(64)
    FAO(1)
    TRA("CS_gaudi_mountain","TheBossIsMonsterX",5,12)
end

function KnockTheDoor()
    for i=0,2,1 do
        SOU("CS_110")
        SNP("CS_pe_gunshothit",23,14,0,"mainLayer","null")
        WAI(16)
    end
end

function SaveMahin()
    KEY()
    ANP("Mahin1","sleep",1)
    HMC()
    CMU("XXXX")
    FAI(2)
    WAI(32)
    SOU("CS_110")ANP("Door_GoGaudiMountain",0,1)
    SMC(0)
    SLR(0)
    WAI(32)
    MS3("\nMahin?")NOD()CLO()
    WAI(60)
    AMC("walk",0)
    WAI(32)
    AMC("normal")
    WAI(32)
    CMU("InjuredKitten")
    MS3("Mahin!")
    CAT("\nI finally found you,")NOD()
    CAT("\nWake up,")NOD()
    CAT("\nLet's go home together!")NOD()CLO()
    WAI(60)
    MS3("\nZzz...")NOD()CLO()
    WAI(60)
    MS3("Kanpa?")NOD()
    CAT("\nI think I heard Kanpa's voice...")NOD()CLO()
    WAI(60)
    ANP("Mahin1","normal",1)
    WAI(60)
    MS3("It's Kanpachi!")NOD()
    CAT("\nIt's really Kanpachi,")NOD()
    CAT("\nAm I dreaming?")NOD()CLR()
    CAT("This isn't a dream~")NOD()
    CAT("\nIt's real,")
    CAT("\nI've come to take you home.")NOD()CLO()
    WAI(60)
    ANP("Mahin1","cry",0)
    WAI(60)
    ANP("Mahin1","cry",1)
    WAI(30)
    ANP("Mahin1","cry",2)
    WAI(30)
    MS3("Kanpchi, I missed you so much!")NOD()
    CAT("\nI knew you'd come to save me.")NOD()CLR()
    CAT("Of course I'd save my best buddy.")NOD()
    CAT("\nDon't cry~")NOD()
    CAT("\nWe need to get out and gather with the others~")NOD()CLR()
    CAT("\nOkay!")NOD()CLO()
    PMU(5)
    FAO(2)
    TRA("CS_fortress_escape","Escape",19,13)
end